Bug 985598 - ovirt-guest-agent Not Reporting IP to RHEVM for Some Guests
ovirt-guest-agent Not Reporting IP to RHEVM for Some Guests
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Nobody's working on this, feel free to take it
virt
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 16:30 EDT by Robert McSwain
Modified: 2015-09-22 09 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-30 07:44:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert McSwain 2013-07-17 16:30:44 EDT
Description of problem:

User was initially using vdsm-4.10.2-22.0.el6ev.x86_64 and had issues with a few Linux VMs not showing the IP address. Since then the user has downgraded to rhevm-guest-agent-1.0.4-4.el5 to see if this might be a regression from what was resolved in bug https://bugzilla.redhat.com/show_bug.cgi?id=847494. 

Downgrading installed these packages:

(1/3): python-ethtool-0.6-5.el5.x86_64.rpm                          |  30 kB     00:00     
(2/3): rhevm-guest-agent-1.0.4-7.el5.noarch.rpm                     |  37 kB     00:00     
(3/3): libnl-1.0-0.10.pre5.5.x86_64.rpm                             |  92 kB     00:00

And it worked on all but two systems. 

Version-Release number of selected component (if applicable):
rhevm-guest-agent-1.0.4-4.el5

How reproducible:
Unknown, unexpected behavior out of this version of VDSM/rhev-guest-agent

Steps to Reproduce:
Unknown other than using rhevm-guest-agent-1.0.4-4.el5

Actual results:
IP addresses show up in RHEV-M for some guests but not all.  

Expected results:
IP addresses show up in RHEV-M for all guests using the appropriate version of rhev-guest-tools
Comment 2 Andrew Cathrow 2013-07-20 21:08:42 EDT
This has been reported on ovirt-engine-backend are we sure the issue is there.
In the cases where it's happened does the data get as far as the backend?
Eg. Do we see the IP on the host with getAllVmStats ?
Comment 5 Michal Skrivanek 2013-08-30 07:44:50 EDT
closing as there is not enough information provided. Feel free to reopen if needed

Note You need to log in before you can comment on or make changes to this bug.